package canvas2.car;

import java.io.*;
import java.util.*;
import jakarta.servlet.*;
import jakarta.servlet.http.*;
import org.json.simple.*;
import org.json.simple.parser.*;

public class PolishCarServiceServlet extends HttpServlet{
	private static final long serialVersionUID = 7772065702934658508L;

	protected void process(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		String stareAuto = request.getParameter("auto");
		JSONParser parser = new JSONParser();
		Object obj;
		JSONObject jobj = null;		                                
		try{
			obj = parser.parse(stareAuto);
			jobj = (JSONObject)obj;
		} catch (ParseException e){}       
                assert jobj != null;                
                Long licznik1 = (Long)jobj.get("licznik"); 
                licznik1 -= 300000;                                    
		String kolor = (String)jobj.get("kolor");
		Long drzwi = (Long)jobj.get("drzwi");
		response.setContentType("application/json");
		response.setHeader("Cache-Control", "no-cache");
		response.setCharacterEncoding("utf-8");
		JSONObject noweAuto = new JSONObject();
		@SuppressWarnings("unchecked")
		HashMap<String, Object> map = noweAuto;
		map.put("licznik", licznik1);
		map.put("kolor", kolor);
		map.put("drzwi", drzwi);		
		response.getWriter().write(noweAuto.toJSONString());
		
	}

	@Override
	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		process(request, response);
	}

	@Override
	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		process(request, response);
	}

	@Override
	public String getServletInfo() {
		return "Przyjmuje stary samochód i przerabia go na nowy, a potem odsyła z powrotem.";
	}
}