<%@ page language="java" contentType="text/html; charset=utf-8"
	pageEncoding="utf-8"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="description"
	content="HTML5 canvas - przekazywanie obiektów JSON na serwer" />
<meta name="keywords"
	content="HTML5, canvas, przekazywanie obiektów JSON na serwer">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="shortcut icon" href="images/dragon.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="styles/opta.css" />
<title>HTML5 canvas - przekazywanie obiektów JSON na serwer</title>
</head>
<body>
	<section>
		<header id="header">
			<a href="index.html"><img border="0" src="images/samsmok.png"
				width="120" height="130"
				alt="Zielony smok: powrót do strony głównej"
				title="Zielony Smok: Powrót do strony głównej"></a>
		</header>
		<h1>Polski serwis samochodowy (przekazywanie obiektów JSON)</h1>
		<canvas id="canvas" width="500" height="500"
			style="border: 1px solid #238E3E;">Zawartość możesz zobaczyć w 
		przeglądarce obsługującej element &lt;canvas&gt; 
		z kontekstem &#034;2d&#034;</canvas>
		<script type="text/javascript">
			var cv = document.getElementById("canvas");
			var ctx = cv.getContext("2d");
			var stareAuto = new Object();
			stareAuto.licznik = 350000;
			stareAuto.kolor = "blue";
			stareAuto.drzwi = 5;
			var auto = JSON.stringify(stareAuto);
			ctx.fillStyle = "blue";
			ctx.fillText(auto, 50, 20);
			var httpRequest;
			var sendCar = function() {
				httpRequest = new XMLHttpRequest();
				httpRequest.onreadystatechange = getCar;
				httpRequest.open("Get", "/json2/cars?auto=" + escape(auto),
						true);
				httpRequest.setRequestHeader("Cache-Control", "no-cache");
				httpRequest.send();
			};
			var getCar = function() {
				if (httpRequest.readyState === 4 && httpRequest.status === 200) {
					var noweAuto = JSON.parse(httpRequest.responseText);
					ctx.fillText("licznik: " + noweAuto.licznik, 50, 40);
					ctx.fillText("kolor: " + noweAuto.kolor, 50, 60);
					ctx.fillText("drzwi: " + noweAuto.drzwi, 50, 80);
				}
			};
			window.onload = function() {
				sendCar();
			};
		</script>

	
	</section>

	<br class="clearfloat" />
	<footer id="footer">

		<p>

			<time datetime="2016-07-30" pubdate></time>
		</p>
	</footer>

</body>
</html>